.modal-custom fieldset,
.modal-popup fieldset,
.modal-slide fieldset {
  border: none;
}
.modal-custom .action-close,
.modal-popup .action-close,
.modal-slide .action-close {
  background-image: none;
  background: none;
  -moz-box-sizing: content-box;
  border: 0;
  box-shadow: none;
  line-height: inherit;
  margin: 0;
  padding: 0;
  text-shadow: none;
  font-weight: 400;
  display: inline-block;
  text-decoration: none;
  position: absolute;
  right: 0;
  top: 0;
  outline: none;
}
.modal-custom .action-close > span,
.modal-popup .action-close > span,
.modal-slide .action-close > span {
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}
.modal-custom .action-close:before,
.modal-popup .action-close:before,
.modal-slide .action-close:before {
  content: '×';
  font-size: 20px;
  line-height: 20px;
  color: #757575;
  margin: 0;
  vertical-align: top;
  display: inline-block;
  font-weight: normal;
  overflow: hidden;
  speak: none;
  text-align: center;
  cursor: pointer;
}
.modal-custom .action-close:hover,
.modal-popup .action-close:hover,
.modal-slide .action-close:hover {
  background: none;
  border: none;
}
.modal-custom .action-close:hover:before,
.modal-popup .action-close:hover:before,
.modal-slide .action-close:hover:before {
  color: inherit;
}
.modal-custom .action-close:focus,
.modal-popup .action-close:focus,
.modal-slide .action-close:focus,
.modal-custom .action-close:active,
.modal-popup .action-close:active,
.modal-slide .action-close:active {
  background: none;
  border: none;
}
.modal-custom .action-close:active:before,
.modal-popup .action-close:active:before,
.modal-slide .action-close:active:before {
  color: inherit;
}
.modal-custom .action-close.disabled,
.modal-popup .action-close.disabled,
.modal-slide .action-close.disabled,
.modal-custom .action-close[disabled],
.modal-popup .action-close[disabled],
.modal-slide .action-close[disabled],
fieldset[disabled] .modal-custom .action-close,
fieldset[disabled] .modal-popup .action-close,
fieldset[disabled] .modal-slide .action-close {
  pointer-events: none;
  opacity: 0.5;
}
.modal-slide,
.modal-popup {
  bottom: 0;
  left: 0;
  min-width: 0;
  position: fixed;
  right: 0;
  top: 0;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s .3s, opacity .3s ease;
}
.modal-slide .modal-inner-wrap,
.modal-popup .modal-inner-wrap {
  background-color: #ffffff;
  box-shadow: 0 0 12px 2px rgba(0, 0, 0, 0.35);
  opacity: 1;
  pointer-events: auto;
}
.modal-slide._show,
.modal-popup._show {
  visibility: visible;
  opacity: 1;
  transition: opacity .3s ease;
}
.modal-slide._show .modal-inner-wrap,
.modal-popup._show .modal-inner-wrap {
  transform: translate(0, 0);
}
.modal-slide {
  left: 44px;
  z-index: 900;
}
.modal-slide .modal-inner-wrap {
  height: 100%;
  overflow-y: auto;
  position: static;
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
  -webkit-transition: -webkit-transform 0.3s ease-in-out;
  transition: transform 0.3s ease-in-out;
  width: auto;
}
.modal-slide .modal-header,
.modal-slide .modal-content,
.modal-slide .modal-footer {
  padding: 0 2.6rem 2.6rem;
}
.modal-slide .modal-header {
  padding-bottom: 2.1rem;
  padding-top: 2.1rem;
}
.modal-slide .action-close {
  margin: 15px;
  padding: 0;
}
.modal-slide .page-main-actions {
  margin-bottom: -12.9rem;
  margin-top: 2.1rem;
}
.modal-slide._show .modal-inner-wrap {
  transform: translateX(0);
}
.modal-slide._inner-scroll .modal-inner-wrap {
  overflow-y: visible;
  display: flex;
  flex-direction: column;
}
.modal-slide._inner-scroll .modal-header,
.modal-slide._inner-scroll .modal-footer {
  flex-grow: 0;
  flex-shrink: 0;
}
.modal-slide._inner-scroll .modal-content {
  overflow-y: auto;
}
.modal-slide._inner-scroll .modal-footer {
  margin-top: auto;
}
.modal-popup {
  z-index: 900;
  left: 0;
  overflow-y: auto;
  pointer-events: none;
}
.modal-popup .modal-inner-wrap {
  margin: 5rem auto;
  width: 75%;
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  height: auto;
  left: 0;
  position: absolute;
  right: 0;
  transform: translateY(-200%);
  transition: transform .2s ease;
}
.modal-popup .modal-header,
.modal-popup .modal-content,
.modal-popup .modal-footer {
  padding-left: 3rem;
  padding-right: 3rem;
}
.modal-popup .modal-header,
.modal-popup .modal-footer {
  flex-grow: 0;
  flex-shrink: 0;
}
.modal-popup .modal-header {
  padding-bottom: 1.2rem;
  padding-top: 3rem;
}
.modal-popup .modal-footer {
  margin-top: auto;
  padding-bottom: 3rem;
  padding-top: 3rem;
}
.modal-popup .modal-footer-actions {
  text-align: right;
}
.modal-popup .modal-title {
  border-bottom: 1px solid #c1c1c1;
  font-weight: 300;
  padding-bottom: 10px;
  font-size: 26px;
  margin-bottom: 0;
  min-height: 1em;
  word-wrap: break-word;
}
.modal-popup .action-close {
  padding: 20px;
}
.modal-popup._show .modal-inner-wrap {
  transform: translateY(0);
}
.modal-popup.confirm .modal-inner-wrap {
  max-width: 50rem;
}
.modal-popup.confirm .modal-inner-wrap .modal-content {
  padding-right: 7rem;
}
.modal-popup._inner-scroll {
  overflow-y: visible;
}
.modal-popup._inner-scroll .modal-inner-wrap {
  max-height: 90%;
}
.modal-popup._inner-scroll .modal-content {
  overflow-y: auto;
}
.ie11 .modal-popup._inner-scroll {
  overflow-y: auto;
}
.ie11 .modal-popup._inner-scroll .modal-inner-wrap {
  max-height: none;
}
.modal-custom .action-close {
  margin: 15px;
}
.modals-overlay {
  z-index: 899;
  background-color: rgba(51, 51, 51, 0.55);
  bottom: 0;
  left: 0;
  position: fixed;
  right: 0;
  top: 0;
}
body._has-modal {
  height: 100%;
  overflow: hidden;
  width: 100%;
}
body._has-modal-custom .modal-custom-overlay {
  height: 100vh;
  left: 0;
  position: fixed;
  top: 0;
  width: 100vw;
  z-index: 899;
}
